/*
 * Filename: sgsPrivate.h
 * Project:  Sequence Generation System
 * Module:   API
 * Function: This file contains the declarations of the C functions
 *           that are not part of the public API, i.e. they are not
 *           meant for being used by functions other than the API
 *           functions themselves.
 *
 * Author:   Pascal Forget
 * Date:     April  1995
 *
 * Copyright (C) 1995 Pascal Forget
 *
 * This software falls under the GNU General Public License.
 * Please refer to the COPYING file for more information.
 */

#ifndef SGSPRIVATE_H__
#define SGSPRIVATE_H__

int
sgsConnectToDaemon(const char *hostname);

int
sgsStartServerLocally(void);

SGAnswer
sgsSendRequest(SGRequest req);

#endif




